Subject: Re: [RFC] powerpc: experimental of serial port driver

From: Sergei Shtylyov <[email-masked]>
Date: Sat, 09 Dec 2006 19:44:06 +0300

Hello.

Benjamin Herrenschmidt wrote:

>>>We sill need to fixup legacy_serial to detect them on opb right ?

>>Yes, I have another patch for that. Currently, the port registers
>>as compatible="ns16750", which is different from all the others
>>in legacy_serial. Do you think it should be 
>>compatible="nc16750\0ns16550" instead, so we can use the same
>>as the others? It actually _is_ compatible to 16550 anyway.

> Both strings then.

    Then it should be something like "nc16750\0ns16550\0ns16450\08250".

> Ben.

WBR, Sergei